/* $Id: script.js,v 1.3 2005/09/08 13:05:09 rdalverny Exp $
   Mandriva Galaxy javascript - Mandriva, 2005
*/


var items    = [ 'mandriva_com', 'club', 'support', 'store', 'online' ];
var itemslen = items.length;
var styles   = new Array();
var style_ix = 0;
var js_disabled = false;

/*
*/
function enable_js_hover() {
	js_disabled = false;
	for( var i=0; i<itemslen; i++ ) {
		document.getElementById('sc_'+items[i]).onmouseover = eval('show_'+items[i]); 
	}
}

/*
*/
function disable_js_hover() {
	js_disabled = true;
	for( var i=0; i<itemslen; i++ ) {
		document.getElementById('sc_'+items[i]).onmouseover = function() {};
	}
}

/*
*/
function show( id ) {
	var e = null;
	for( var i=0; i<itemslen; i++ ) {
		e = document.getElementById( items[i] );
		if( items[i] == id ) {
			e.style.display = 'block';
		} else {
			e.style.display = 'none';
		}
	}
}

function show_mandriva_com() { show('mandriva_com'); }
function show_club() { show('club'); }
function show_support() { show('support'); }
function show_store() { show('store'); }
function show_online() { show('online'); }
function display_items( how ) {
	for( var i=0; i<itemslen; i++ ) {
		document.getElementById(items[i]).style.display = how;
	}
}

/* for each page, there are two styles only:
   - screen.css and screen_access.css
   - screen_other.css and screen_access.css
   
*/
function change_style() {
	var list = null;
	var i    = null;
	var j    = null;
	var e    = null;
	var cur  = '';
	
	if( styles.length == 0 ) {
		// find current style index:
		// search current if existing
		list  = document.getElementsByTagName('link');
		for( i=0; i<list.length; i+=1 ) {
			e = list.item(i);
			if( e.rel == 'stylesheet' ) {
				cur = e.href;
			}
		}
		styles = new Array( cur, 'screen_access.css' );
	}

	// next style index
	style_ix += 1;
	if( style_ix >= styles.length ) {
		style_ix = 0;
	}

	// change style sheet href
	list  = document.getElementsByTagName('link');
	for( i=0; i<list.length; i+=1 ) {
		e = list.item(i);
		try {
			if( e.rel == 'stylesheet' ) {

				if( styles[style_ix] == 'screen_access.css' ) {
					display_items('block');
					disable_js_hover();
				} else {
					if( js_disabled ) {
						display_items('none');
						enable_js_hover();
					}
				}
				e.href = styles[style_ix];
			}
		} catch(e) {}
	}
}


/*
*/
function galaxyrun() {
	enable_js_hover();

	var e       = document.createElement('div');
	e.id        = 'access_style';
	e.innerHTML = '<span>Accessible</span>';
	e.onclick   = change_style;
	// TODO add this po files before publishing
	e.title     = 'Accessible';
	document.getElementsByTagName('body').item(0).appendChild(e);
}

/*
*/
